### Method

# Vips Image draw_circle

#### Declaration [src]

    int
    vips_draw_circle (
      VipsImage* image,
      double* ink,
      int n,
      int cx,
      int cy,
      int radius,
      ...
    )

#### Description [src]

Draws a circle on `image`.

If `fill` is `TRUE` then the circle is filled, otherwise a 1-pixel-wide perimeter is drawn.

`ink` is an array of double containing values to draw.

Optional arguments

- `fill`: `gboolean`, fill the draw_circle

See also

`vips_draw_circle1()`, `vips_draw_line()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: An array of `double`

  Value to draw.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  Length of ink array.

`cx`

  Type: `int`

  Centre of draw_circle.

`cy`

  Type: `int`

  Centre of draw_circle.

`radius`

  Type: `int`

  Draw_circle radius.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.